LockFX
For accounts that are configured to make use of the LockFX product you can create a quote that can be used in a subsequent Conversion request during the requested validity period.
POST /api/v1/lockfx/create
Create a Lock FX Quote
POST /api/v1/lockfx/create
The LockFX quote endpoint gives the user a guaranteed rate for an agreed period of time.
Currency (3-letter ISO-4217 code) the client buys.
Currency (3-letter ISO-4217 code) the client sells. This is the currency you will need to send us by the settlement cutoff time.
Quote validity period.
MIN_1MIN_15MIN_30HR_1HR_4HR_8HR_24Amount the client buys in buy_currency (must be blank if sell_amount is specified).
Date on which the conversion will be settled. conversion_date defaults to current date, if funding is available, unless specified.
Amount the client sells in sell_currency (must be blank if buy_amount is specified).
For reference purposes only. This is a reference rate Airwallex compiles by analyzing prices across multiple banking providers and independent rate publishers
buy_amount copied from the Quote request (if specified). Otherwise, this is calculated by multiplying/dividing the sell_amount by the FX quote depending on the direction of the currency pair
Buy currency of the quote (3-letter ISO-4217 code)
The returned FX quote
Date on which the conversion will be settled. conversion_date defaults to current date, if funding is available, unless specified.
The currency pair that the quote is for. The direction of the currency pair is per market convention where possible
The currency where the client provided the exact amount for in the request
For reference purposes only. This rate represents the midpoint of the current bid and ask price
The quote unique identifier
Breakdown of rates at different user levels.
The total amount being bought at the respective level.
Level of the view.
CLIENTAWXThe exchange rate from the respective level's perspective.
The total amount being sold at the respective level.
sell_amount copied from the Quote request (if specified). Otherwise, this is calculated by multiplying/dividing the buy_amount by the FX quote depending on the direction of the currency pair
Sell currency of the quote (3-letter ISO-4217 code)
Quote usage
SINGLE_USEMULTI_USEQuote valid from in ISO8601 format (inclusive)
Quote valid to in ISO8601 format (inclusive)
Quote validity period in the create request
MIN_1MIN_15MIN_30HR_1HR_4HR_8HR_24| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/lockfx/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "buy_amount": 10000,> "buy_currency": "AUD",> "conversion_date": "2017-04-01",> "sell_amount": 100,> "sell_currency": "USD",> "validity": "HR_24">}'
1{2 "awx_rate": 0.7622,3 "buy_amount": 10000,4 "buy_currency": "AUD",5 "client_rate": 0.7632,6 "conversion_date": "2017-04-01",7 "currency_pair": "AUDUSD",8 "dealt_currency": "AUD",9 "mid_rate": 0.7612,10 "quote_id": "a08c0f2f-3f26-4443-b5df-fad15582eb94",11 "rate_details": [12 {13 "buy_amount": 10000,14 "level": "CLIENT",15 "rate": 0.781523,16 "sell_amount": 12794.2717 }18 ],19 "sell_amount": 7632,20 "sell_currency": "USD",21 "usage": "SINGLE_USE",22 "valid_from": "2019-05-03T02:49:05+0000",23 "valid_to": "2019-05-04T02:49:05+0000",24 "validity": "HR_24"25}